Irrlicht Engine: irr::video::SColorHSL Class Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::video::SColorHSL Class Reference

Class representing a color in HSV format. More...

`#include <SColor.h>`

List of all members.

## Public Member Functions
void | fromRGB (const SColor &color)
| SColorHSL (f32 h=0.f, f32 s=0.f, f32 l=0.f)
void | toRGB (SColor &color) const
## Public Attributes
f32 | Hue
f32 | Luminance
f32 | Saturation

## Detailed Description

Class representing a color in HSV format.

The color values for hue, saturation, value are stored in a 32 bit floating point variable.

Definition at line 475 of file SColor.h.

## Constructor & Destructor Documentation

irr::video::SColorHSL::SColorHSL | ( | f32 | h = `0.f`,
|  | f32 | s = `0.f`,
|  | f32 | l = `0.f` |
| ) |  |  | `[inline]`

Definition at line 478 of file SColor.h.

## Member Function Documentation

void irr::video::SColorHSL::fromRGB | ( | const SColor & | color | ) | `[inline]`

Definition at line 493 of file SColor.h.

References irr::core::DEGTORAD, irr::core::equals(), irr::video::SColor::getBlue(), irr::video::SColor::getGreen(), irr::video::SColor::getRed(), Hue, Luminance, irr::core::max_(), irr::core::min_(), irr::core::PI, and Saturation.

void irr::video::SColorHSL::toRGB | ( | SColor & | color | ) | const`[inline]`

Definition at line 529 of file SColor.h.

References irr::core::DEGTORAD, Hue, irr::core::iszero(), Luminance, Saturation, irr::video::SColor::setBlue(), irr::video::SColor::setGreen(), and irr::video::SColor::setRed().

## Member Data Documentation

f32 irr::video::SColorHSL::Hue

Definition at line 484 of file SColor.h.

Referenced by fromRGB(), and toRGB().

f32 irr::video::SColorHSL::Luminance

Definition at line 486 of file SColor.h.

Referenced by fromRGB(), and toRGB().

f32 irr::video::SColorHSL::Saturation

Definition at line 485 of file SColor.h.

Referenced by fromRGB(), and toRGB().

The documentation for this class was generated from the following file:

- SColor.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:10 2010 by Doxygen (1.6.2)